summaryrefslogtreecommitdiff
path: root/gnulib-tests/test-readtokens.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib-tests/test-readtokens.sh')
-rwxr-xr-xgnulib-tests/test-readtokens.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/gnulib-tests/test-readtokens.sh b/gnulib-tests/test-readtokens.sh
new file mode 100755
index 0000000..51fd41e
--- /dev/null
+++ b/gnulib-tests/test-readtokens.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ .
+
+fail=0
+
+test-readtokens || fail=1
+
+# Simplest case.
+echo a:b:c: > exp || fail=1
+printf a:b:c | test-readtokens : > out 2>&1 || fail=1
+compare exp out || fail=1
+
+# Use NUL as the delimiter.
+echo a:b:c: > exp || fail=1
+printf 'a\0b\0c' | test-readtokens '\0' > out 2>&1 || fail=1
+compare exp out || fail=1
+
+# Two delimiter bytes, and adjacent delimiters in the input.
+echo a:b:c: > exp || fail=1
+printf a:-:b-:c:: | test-readtokens :- > out 2>&1 || fail=1
+compare exp out || fail=1
+
+Exit $fail